Subject: Re: bug#22101: Emacs-25: inaccuracy in documentation of `mapconcat' in .../lispref/functions.texi

From: Eli Zaretskii <[email-masked]>
Date: Mon, 07 Dec 2015 17:51:24 +0200

> Date: Mon, 7 Dec 2015 10:54:58 +0000
> Cc: [email-masked]
> From: Alan Mackenzie <[email-masked]>
> 
> > IMO, this errs on the other side: it seems to allow sequences that
> > will be rejected by mapconcat or by concat that it calls.  I suggest
> > the following alternative wording:
> 
> >  @code{mapconcat} applies @var{function} to each element of
> >  @var{sequence}; the results, which must be sequences of characters
> >  (strings, vectors, or lists), are concatenated into a single string
> >  return value.  Between each pair of result sequences,
> >  @code{mapconcat} inserts the characters from @var{separator}, which
> >  also must be a string, or a vector or list of characters.
> 
> >  The argument @var{function} must be a function that can take one
> >  argument and return a sequence of characters: a string, a vector, or
> >  a list.  The argument @var{sequence} can be any kind of sequence
> >  except a char-table; that is, a list, a vector, a bool-vector, or a
> >  string.
> 
> > WDYT?
> 
> I think it's good.  I have just taken the liberty of committing your
> version

Such an impatience...

Did you forget to push?

> with two changes: I have added @xref{Sequences Arrays Vectors}
> at the end of the first paragraph.

It should be way up in the text preceding this @defun, because the
section talks about sequences much earlier, and it makes no sense to
have the cross-reference so late in the text.

Thanks.